<template>

    <div>
        <div v-if="currentFile" class="progress">
            <div class="progress-bar progress-bar-info progress-bar-striped" role="progressbar"
                :aria-valuenow="progress" aria-valuemin="0" aria-valuemax="100" :style="{ width: progress + '%' }">
                {{ progress }}%
            </div>
        </div>
        <label class="btn btn-default">
            <input type="file" ref="file" @change="selectFile" />
        </label>
        <button class="btn btn-success" :disabled="!selectedFiles" @click="upload">
            Upload
        </button>
        <div class="alert alert-light" role="alert">{{ message }}</div>
        <div class="card">
            <div class="card-header">Hochgeladene Dateien</div>
            <ul class="list-group list-group-flush">
                <li class="list-group-item" v-for="(file, index) in files" :key="index">
                    <img :src="file.url" alt="">

                </li>
            </ul>
        </div>


    </div>
</template>
<script>
// import UploadService from "../services/UploadFilesService";
export default {
    name: "UploadFile",
    data() {
        return {
            selectedFiles: undefined,
            currentFile: undefined,
            progress: 0,
            message: ""
        };
    },
    methods: {
        selectFile() {
            this.selectedFiles = this.$refs.file.files;
        },
        upload() {
            this.$store.dispatch('uploadFile', this.selectedFiles.item(0));
            this.$store.dispatch('getAllFiles');
            //     this.progress = 0;
            //     this.currentFile = this.selectedFiles.item(0);
            //     UploadService.upload(this.currentFile, event => {
            //         this.progress = Math.round((100 * event.loaded) / event.total);
            //     })
            //         .then(response => {
            //             this.message = response.data.message;
            //             return UploadService.getFiles();
            //         })
            //         .then(files => {
            //             this.fileInfos = files.data;
            //         })
            //         .catch((err) => {
            //             console.log(err);
            //             this.progress = 0;
            //             this.message = "Could not upload the file!";
            //             this.currentFile = undefined;
            //         });
            //     this.selectedFiles = undefined;
        }
    },
    mounted() {
        this.$store.dispatch('getAllFiles');
    },
    computed: {
        files() {
            return this.$store.state.files;
        }
    }
};
</script>